| Version: 3.1.5

Classes | Enumerations
zipstrm.h File Reference

## Classes
class | wxZipNotifier
| If you need to know when a wxZipInputStream updates a wxZipEntry, you can create a notifier by deriving from this abstract base class, overriding wxZipNotifier::OnEntryUpdated(). More...
class | wxZipEntry
| Holds the meta-data for an entry in a zip. More...
class | wxZipInputStream
| Input stream for reading zip files. More...
class | wxZipClassFactory
| Class factory for the zip archive format. More...
class | wxZipOutputStream
| Output stream for writing zip files. More...

## Enumerations
enum | wxZipMethod { wxZIP_METHOD_STORE , wxZIP_METHOD_SHRINK , wxZIP_METHOD_REDUCE1 , wxZIP_METHOD_REDUCE2 , wxZIP_METHOD_REDUCE3 , wxZIP_METHOD_REDUCE4 , wxZIP_METHOD_IMPLODE , wxZIP_METHOD_TOKENIZE , wxZIP_METHOD_DEFLATE , wxZIP_METHOD_DEFLATE64 , wxZIP_METHOD_BZIP2 = 12 , wxZIP_METHOD_DEFAULT = 0xffff }
| Compression Method, only 0 (store) and 8 (deflate) are supported here. More...
enum | wxZipSystem { wxZIP_SYSTEM_MSDOS , wxZIP_SYSTEM_AMIGA , wxZIP_SYSTEM_OPENVMS , wxZIP_SYSTEM_UNIX , wxZIP_SYSTEM_VM_CMS , wxZIP_SYSTEM_ATARI_ST , wxZIP_SYSTEM_OS2_HPFS , wxZIP_SYSTEM_MACINTOSH , wxZIP_SYSTEM_Z_SYSTEM , wxZIP_SYSTEM_CPM , wxZIP_SYSTEM_WINDOWS_NTFS , wxZIP_SYSTEM_MVS , wxZIP_SYSTEM_VSE , wxZIP_SYSTEM_ACORN_RISC , wxZIP_SYSTEM_VFAT , wxZIP_SYSTEM_ALTERNATE_MVS , wxZIP_SYSTEM_BEOS , wxZIP_SYSTEM_TANDEM , wxZIP_SYSTEM_OS_400 }
| Originating File-System. More...
enum | wxZipAttributes { wxZIP_A_RDONLY = 0x01 , wxZIP_A_HIDDEN = 0x02 , wxZIP_A_SYSTEM = 0x04 , wxZIP_A_SUBDIR = 0x10 , wxZIP_A_ARCH = 0x20 , wxZIP_A_MASK = 0x37 }
| Dos/Win file attributes. More...
enum | wxZipFlags { wxZIP_ENCRYPTED = 0x0001 , wxZIP_DEFLATE_NORMAL = 0x0000 , wxZIP_DEFLATE_EXTRA = 0x0002 , wxZIP_DEFLATE_FAST = 0x0004 , wxZIP_DEFLATE_SUPERFAST = 0x0006 , wxZIP_DEFLATE_MASK = 0x0006 , wxZIP_SUMS_FOLLOW = 0x0008 , wxZIP_ENHANCED = 0x0010 , wxZIP_PATCH = 0x0020 , wxZIP_STRONG_ENC = 0x0040 , wxZIP_UNUSED = 0x0F80 , wxZIP_RESERVED = 0xF000 }
| Values for the flags field in the zip headers. More...
enum | wxZipArchiveFormat { wxZIP_FORMAT_DEFAULT , wxZIP_FORMAT_ZIP64 }
| Zip archive format. More...

## Enumeration Type Documentation

## ◆ wxZipArchiveFormat

enum wxZipArchiveFormat

Zip archive format.

Since
  3.1.1

Enumerator
wxZIP_FORMAT_DEFAULT | Default zip format: use ZIP64 if it is determined to be necessary.
wxZIP_FORMAT_ZIP64 | ZIP64 format: force the use of ZIP64 format.

## ◆ wxZipAttributes

enum wxZipAttributes

Dos/Win file attributes.

Enumerator
wxZIP_A_RDONLY |
wxZIP_A_HIDDEN |
wxZIP_A_SYSTEM |
wxZIP_A_SUBDIR |
wxZIP_A_ARCH |
wxZIP_A_MASK |

## ◆ wxZipFlags

enum wxZipFlags

Values for the flags field in the zip headers.

Enumerator
wxZIP_ENCRYPTED |
wxZIP_DEFLATE_NORMAL |
wxZIP_DEFLATE_EXTRA |
wxZIP_DEFLATE_FAST |
wxZIP_DEFLATE_SUPERFAST |
wxZIP_DEFLATE_MASK |
wxZIP_SUMS_FOLLOW |
wxZIP_ENHANCED |
wxZIP_PATCH |
wxZIP_STRONG_ENC |
wxZIP_UNUSED |
wxZIP_RESERVED |

## ◆ wxZipMethod

enum wxZipMethod

Compression Method, only 0 (store) and 8 (deflate) are supported here.

Enumerator
wxZIP_METHOD_STORE |
wxZIP_METHOD_SHRINK |
wxZIP_METHOD_REDUCE1 |
wxZIP_METHOD_REDUCE2 |
wxZIP_METHOD_REDUCE3 |
wxZIP_METHOD_REDUCE4 |
wxZIP_METHOD_IMPLODE |
wxZIP_METHOD_TOKENIZE |
wxZIP_METHOD_DEFLATE |
wxZIP_METHOD_DEFLATE64 |
wxZIP_METHOD_BZIP2 |
wxZIP_METHOD_DEFAULT |

## ◆ wxZipSystem

enum wxZipSystem

Originating File-System.

These are Pkware's values. Note that Info-zip disagree on some of them, most notably NTFS.

Enumerator
wxZIP_SYSTEM_MSDOS |
wxZIP_SYSTEM_AMIGA |
wxZIP_SYSTEM_OPENVMS |
wxZIP_SYSTEM_UNIX |
wxZIP_SYSTEM_VM_CMS |
wxZIP_SYSTEM_ATARI_ST |
wxZIP_SYSTEM_OS2_HPFS |
wxZIP_SYSTEM_MACINTOSH |
wxZIP_SYSTEM_Z_SYSTEM |
wxZIP_SYSTEM_CPM |
wxZIP_SYSTEM_WINDOWS_NTFS |
wxZIP_SYSTEM_MVS |
wxZIP_SYSTEM_VSE |
wxZIP_SYSTEM_ACORN_RISC |
wxZIP_SYSTEM_VFAT |
wxZIP_SYSTEM_ALTERNATE_MVS |
wxZIP_SYSTEM_BEOS |
wxZIP_SYSTEM_TANDEM |
wxZIP_SYSTEM_OS_400 |